Gee.External.Capstone 2.1.0

There is a newer version of this package available.
See the version list below for details.
dotnet add package Gee.External.Capstone --version 2.1.0
NuGet\Install-Package Gee.External.Capstone -Version 2.1.0
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Gee.External.Capstone" Version="2.1.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Gee.External.Capstone --version 2.1.0
#r "nuget: Gee.External.Capstone, 2.1.0"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Gee.External.Capstone as a Cake Addin
#addin nuget:?package=Gee.External.Capstone&version=2.1.0

// Install Gee.External.Capstone as a Cake Tool
#tool nuget:?package=Gee.External.Capstone&version=2.1.0

Capstone.NET

Capstone.NET is an opinionated .NET Core and a .NET Framework binding for the Capstone disassembly framework. It is written in C#, supports Capstone 4, and has a friendly and simple type safe API that is ridiculously easy to learn and quick to pick up.

Features

  • Supports Capstone 4. Only the ARM, ARM64, M68K, MIPS, PowerPC, X86, and XCore architectures are supported right now
  • Supports .NET 5 and greater, and .NET Framework 4.6.1 and greater
  • A friendly and simple to use type safe API that is ridiculously easy to learn and pick up

Requirements

  • Capstone 4: Capstone.NET is compatible with the x86 and x64 versions of Capstone 4. Older versions of Capstone are not supported
  • .NET 5+: Capstone.NET is compatible with .NET 5 and greater
  • .NET Framework 4.6.1+: Capstone.NET is compatible with .NET Framework 4.6.1 and greater. If your application is still reliant on .NET Framework, please note that Microsoft has deprecated, and no longer supports, any version of .NET Framework before .NET Framework 4.6.2

When Capstone.NET 2.0 was first released, .NET Core did not support Windows GUI applications. As such, Capstone.NET 2.0 explicitly supported .NET Framework 4.0 and greater to allow developers building Windows GUI applications to use Capstone.NET.

Today, Windows GUI applications are supported on .NET. Developers no longer need to use .NET Framework to build Windows GUI applications. Furthermore, Microsoft has deprecated, and no longer supports, any version of .NET Framework before .NET Framework 4.6.2.

Starting with Capstone.NET 2.1, the minimal supported version of .NET Framework is .NET Framework 4.6.1. If you're wondering why .NET Framework 4.6.1 even though it is deprecated, please consult the .NET Compatibility Matrix.

Product Compatible and additional computed target framework versions.
.NET net5.0 is compatible.  net5.0-windows was computed.  net6.0 is compatible.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 is compatible. 
.NET Framework net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.
  • .NETStandard 2.0

    • No dependencies.
  • .NETStandard 2.1

    • No dependencies.
  • net5.0

    • No dependencies.
  • net6.0

    • No dependencies.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on Gee.External.Capstone:

Package Downloads
BenchmarkDotNet The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

Powerful .NET library for benchmarking

GitHub repositories (3)

Showing the top 3 popular GitHub repositories that depend on Gee.External.Capstone:

Repository Stars
dotnet/BenchmarkDotNet
Powerful .NET library for benchmarking
chummer5a/chummer5a
Character generator for Shadowrun 5th edition
ncatlin/rgat
An instruction trace visualisation tool for dynamic program analysis
Version Downloads Last updated
2.3.0 7,462,414 12/1/2022
2.2.0 10,284 10/3/2022
2.1.0 1,078 9/29/2022
2.0.2 55,093 5/17/2019
2.0.1 3,541 4/30/2019
2.0.0 3,782 1/23/2019
1.2.2 3,348 8/13/2015
1.2.1 2,950 8/12/2015